﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp48
{
    public partial class Form1 : Form
    {
        Graphics g;
        Pen p;
        int x1, y1, fsX1, fsY1;
        bool freestyle;
        public Form1()
        {
            InitializeComponent();
        }

        private void panel1_MouseEnter(object sender, EventArgs e)
        {
            label1.Text = "Mouse entered Panel1";
        }

        private void panel1_MouseLeave(object sender, EventArgs e)
        {
            label1.Text = "Mouse left Panel1";
        }

        private void panel1_MouseDown(object sender, MouseEventArgs e)
        {
            label1.Text = "Mouse is down inside Panel1";
            panel1.BackColor = Color.Red;
        }

        private void panel1_MouseUp(object sender, MouseEventArgs e)
        {
            label1.Text = "Mouse is up inside Panel1";
            panel1.BackColor = Color.Yellow;
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            label2.Text = e.X.ToString() + " , " + e.Y.ToString();
            if (freestyle)
            {
                g.DrawLine(p, fsX1, fsY1, e.X, e.Y);
                fsX1 = e.X;
                fsY1 = e.Y;
            }

           
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            g = this.CreateGraphics();
            p = new Pen(Color.Blue);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            g.DrawLine(p, 150, 160, 200, 285);
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            //x1 = e.X;
            //y1 = e.Y;
            freestyle = true;
            fsX1 = e.X;
            fsY1 = e.Y;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog()==DialogResult.OK)
                p.Color = colorDialog1.Color;
        }

        private void Form1_MouseUp(object sender, MouseEventArgs e)
        {
            //g.DrawLine(p, x1, y1, e.X, e.Y);
            freestyle = false;
        }
    }
}
